import App
import Foundation

# Galaxy X
abbrev = 'GalaxyX'
iconName = 'ssnsgalx'
longName = 'USS Enterprise-D (X)'
shipFile = 'GalaxyX' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'Galaxy x',
	'author': 'Scottpkeene',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.GalaxyX = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.GalaxyX.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.GalaxyX.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.GalaxyX.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def GalaxyXIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/enterprisexID_glow.tga"]]}
	return retval

Foundation.ShipDef.GalaxyX.__dict__["SDT Entry"] = GalaxyXIDSwap

# Olympus
abbrev = 'Olympus'
iconName = 'ssnsgalx'
longName = 'USS Olympus'
shipFile = 'Olympus'
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'Galaxy x',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Olympus = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Olympus.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.Olympus.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Olympus.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def OlympusIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/Olympus_ID_glow.tga"]]}
	return retval

Foundation.ShipDef.Olympus.__dict__["SDT Entry"] = OlympusIDSwap

# Titan2
abbrev = 'Titan2'
iconName = 'ssnsgalx'
longName = 'USS Titan'
shipFile = 'Titan2'
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'Galaxy x',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Titan = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Titan.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.Titan.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Titan.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def TitanIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/Titan_ID_glow.tga"]]}
	return retval

Foundation.ShipDef.Titan.__dict__["SDT Entry"] = TitanIDSwap

# Mariner
abbrev = 'Mariner'
iconName = 'ssnsgalx'
longName = 'USS Mariner'
shipFile = 'Mariner'
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'Galaxy x',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Mariner = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Mariner.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.Mariner.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Mariner.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def MarinerIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/Mariner_ID_glow.tga"]]}
	return retval

Foundation.ShipDef.Mariner.__dict__["SDT Entry"] = MarinerIDSwap

# Trinculo (Mk. III refit)
abbrev = 'TrinculoIII'
iconName = 'ssnsgalx'
longName = 'USS Trinculo (X)'
shipFile = 'TrinculoIII'
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'Galaxy x',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.TrinculoIII = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.TrinculoIII.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.TrinculoIII.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.TrinculoIII.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def TrinculoIIIIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/TrinculoR_ID_glow.tga"]]}
	return retval

Foundation.ShipDef.TrinculoIII.__dict__["SDT Entry"] = TrinculoIIIIDSwap